version: '3'
services:
  web:
    build: .
    stdin_open: true
    tty: true
    environment:
      - DEBUG=express:*
      - VERSION=0.0.1
    volumes:
      - .:/usr/app/
      - node_modules:/usr/app/node_modules
    ports:
      - "8888:8888"
    depends_on:
      - db
    command: "nodemon index.js"
  db:
    image: mongo
  test:
    build: .
    stdin_open: true
    tty: true
    volumes:
      - .:/usr/app/
    depends_on:
      - web
    command: "jest -i --watchAll"
volumes:
  node_modules: